<template>
  <div class="container" >
    <div class="card no-print">
      <div class="card-header no-print">
        <h3 class="card-title">Tiket</h3>
      </div>

    <div id="tiket" class="card" style="background-image:url('/img/TIKET CAREER DAYS.jpg'); background-size: 100% 100%;">
        <div class="row">
          <div class="col">

          </div>
          <div class="col">

          </div>
          <div class="col text-center">
            <br><br>
            <h3>{{no_tiket}}</h3>
            <br>
            <br>
            <br>
            <br>
            <br>
            <br>
            <br>
            <br>
          </div>
        </div>
        <div class="row">
          <div class="col-sm-3 text-center" >
            <br>
            <br><br><br>
            <h5><b>{{nama}}</b></h5>
            <h4>{{id_pengenal}}</h4><br><br>


          </div>
          <div class="col-md-3 text-center">
            <br><br><br>
            <vue-qr :text="qrurl" v-bind:size="115" :dotScale=1 :margin=5></vue-qr>
          </div>
          <div class="col">

          </div>
        </div>


</div>
  </div>

</div>
</template>



<script>
import VueQr from 'vue-qr'
    export default {
        data() {
          return {
              nama : this.nama,
              id_pengenal : this.id_pengenal,
              no_tiket : this.id_pengenal,
              qrurl : this.qurl,
          }
        },
        components: {
            VueQr
        },
        methods: {
            loadEvents(){
                swal("Silakan screenshot tiket menggunakan komputer");
                axios.get('http://localhost:8000/api/tiket/'+this.$route.params.id)
                  .then((response) => {
                    this.nama = response.data.nama_peserta;
                    this.no_tiket = response.data.id_event_peserta;
                    this.id_pengenal = response.data.id_pengenal;
                    this.qrurl = "http://localhost:8000/absensi/"+this.no_tiket;
                  });
            }
        },
        created() {
            this.loadEvents();
        }
    }
</script>
